Menu

## SceneConnection
in package

SceneConnection.php : 18

##### Tags

Entity
Table

  (name="scene_connections")

### Table of Contents

$directionality : int
$incomingConnectionGroupName : string|null
$incomingScene : Scene|null
$outgoingConnectionGroupName : string|null
$outgoingScene : Scene|null
__construct() : mixed
getIncomingConnectionGroupName() : string|null
  Returns the connection group name identifier of the incoming connection.
getIncomingScene() : Scene
  Returns the incoming Scene of this connection.
getOutgoingConnectionGroupName() : string|null
  Returns the connection from name identifier of the outgoing connection.
getOutgoingScene() : Scene
  Returns the outgoing Scene of this connection.
isDirectionality() : bool
  Returns if the directionality of this entity is as given as the first parameter.
setIncomingConnectionGroupName() : mixed
  Sets the connection group name identifier of the incoming connection.
setOutgoingConnectionGroupName() : void
  Sets the connection group name identifier of the outgoing connection.

### Properties

#### $directionality

SceneConnection.php : 37
`private int $directionality = 0`

##### Tags

Column

  (type="integer", options={"default"=0})

#### $incomingConnectionGroupName

SceneConnection.php : 47
`private string|null $incomingConnectionGroupName`

##### Tags

Column

  (type="string", nullable=True)

#### $incomingScene

SceneConnection.php : 32
`private Scene|null $incomingScene = null`

##### Tags

Id
ManyToOne

  (targetEntity="Scene", inversedBy="incomingConnections")

JoinColumn

  (name="incomingScene", referencedColumnName="id")

#### $outgoingConnectionGroupName

SceneConnection.php : 42
`private string|null $outgoingConnectionGroupName`

##### Tags

Column

  (type="string", nullable=True)

#### $outgoingScene

SceneConnection.php : 25
`private Scene|null $outgoingScene = null`

##### Tags

Id
ManyToOne

  (targetEntity="Scene", inversedBy="outgoingConnections")

JoinColumn

  (name="outgoingScene", referencedColumnName="id")

### Methods

#### __construct()

SceneConnection.php : 55
`public __construct(Scene $outgoing, Scene $incoming, int $directionality) : mixed`

##### Parameters

$outgoing : Scene
$incoming : Scene
$directionality : int

##### Return values

mixed —

#### getIncomingConnectionGroupName()

SceneConnection.php : 105

Returns the connection group name identifier of the incoming connection.

`public getIncomingConnectionGroupName() : string|null`

##### Return values

string|null —

#### getIncomingScene()

SceneConnection.php : 114

Returns the incoming Scene of this connection.

`public getIncomingScene() : Scene`

##### Return values

Scene —

#### getOutgoingConnectionGroupName()

SceneConnection.php : 78

Returns the connection from name identifier of the outgoing connection.

`public getOutgoingConnectionGroupName() : string|null`

##### Return values

string|null —

#### getOutgoingScene()

SceneConnection.php : 87

Returns the outgoing Scene of this connection.

`public getOutgoingScene() : Scene`

##### Return values

Scene —

#### isDirectionality()

SceneConnection.php : 124

Returns if the directionality of this entity is as given as the first parameter.

`public isDirectionality(int $directionality) : bool`

##### Parameters

$directionality : int

##### Return values

bool —

#### setIncomingConnectionGroupName()

SceneConnection.php : 96

Sets the connection group name identifier of the incoming connection.

`public setIncomingConnectionGroupName(string|null $name) : mixed`

##### Parameters

$name : string|null

  The identifier name of the incoming connection group.

##### Return values

mixed —

#### setOutgoingConnectionGroupName()

SceneConnection.php : 69

Sets the connection group name identifier of the outgoing connection.

`public setOutgoingConnectionGroupName(string|null $name) : void`

##### Parameters

$name : string|null

  The identifier name of the outgoing connection group.

##### Return values

void —

## Search results